AdnovaDocs
Inspiration

Get an ad

Fetches one ad from the cross-brand inspiration index by its inspirationAdId (returned by POST /discover and the Following Brands brand-ads listing). industry is resolved from the owning brand. 404 if not found.

POST
/ad

Authentication

authentication
api-key<token>

Create an API key from the Adnova dashboard (Account integrations). Pass the key value in the api-key request header on every call.

In: header

Header Parameters

x-org-id*string

Organization ULID that scopes the request.

x-workspace-id*string

Workspace ULID that scopes the request.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

inspirationAdId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.adnova.ai/inspiration/v1/ad" \  -H "x-org-id: 01K8Z23F1QQ1ZA93B8WYBS40GH" \  -H "x-workspace-id: 01KJ7S42FHQTCTKD6KKFJKTZBC" \  -H "Content-Type: application/json" \  -d '{    "inspirationAdId": "01KGMMG2H73DW2WW0S3QC4QJ5F"  }'
{
  "data": {
    "inspirationAdId": "01KGMMG2H73DW2WW0S3QC4QJ5F",
    "isActive": false,
    "format": "DCO",
    "brandId": "01KGMKG1RVX4XEBBCRZVH9EQVZ",
    "landingPageUrl": "string",
    "publisherPlatforms": [
      "facebook",
      "instagram"
    ],
    "likes": 0,
    "startDate": 1769673600,
    "endDate": 1771902541,
    "runningDays": 0,
    "advertiser": {
      "name": "Lenovo",
      "logoUrl": "string"
    },
    "creatives": [
      {
        "type": "image",
        "mediaUrl": "https://asset.ad./.../01KSF5YW8FHGA2WAR0YXB6A1QB/.../eae37fb9_672751",
        "thumbnailUrl": "https://asset.ad./.../01KSF5YW8FHGA2WAR0YXB6A1QB/.../eae37fb9_672751",
        "headline": "No Boring Gifts!",
        "body": "Ditch the ordinary corporate gifts!",
        "caption": "ellarboutique.com.au",
        "ctaText": "Get quote",
        "ctaType": "GET_QUOTE",
        "linkUrl": "https://www.ellarboutique.com.au/pages/create-your-own-gift"
      }
    ],
    "industry": [
      "Tech"
    ]
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "API_CREDITS_EXHAUSTED",
    "message": "API credits exhausted for the current period",
    "details": {
      "creditsUsed": 10,
      "creditsLimit": 10,
      "creditsRemaining": 0,
      "period": {
        "start": "2026-05-18T00:00:00.000Z",
        "end": "2026-06-18T00:00:00.000Z"
      }
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "RATE_LIMIT_EXCEEDED",
    "message": "Too many requests."
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}